Bug 1126108 - SELinux is preventing /usr/sbin/logrotate from 'read' accesses on the file .
Summary: SELinux is preventing /usr/sbin/logrotate from 'read' accesses on the file .
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a0c6c2eb84148b9bd4035484c33...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 22:44 UTC by kayvan.lenovo
Modified: 2015-06-29 21:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:54:05 UTC


Attachments (Terms of Use)

Description kayvan.lenovo 2014-08-01 22:44:18 UTC
Description of problem:
SELinux is preventing /usr/sbin/logrotate from 'read' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that logrotate should be allowed read access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep logrotate /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:admin_home_t:s0
Target Objects                 [ file ]
Source                        logrotate
Source Path                   /usr/sbin/logrotate
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           logrotate-3.8.7-1.fc20.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.6-200.fc20.i686+PAE #1 SMP
                              Fri Jul 18 03:01:10 UTC 2014 i686 i686
Alert Count                   1
First Seen                    2014-08-02 03:12:01 IRDT
Last Seen                     2014-08-02 03:12:01 IRDT
Local ID                      443c36f1-6186-4e4e-8668-143417879fa8

Raw Audit Messages
type=AVC msg=audit(1406932921.433:285): avc:  denied  { read } for  pid=3271 comm="logrotate" name="lfd" dev="sdb3" ino=3148691 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file


type=SYSCALL msg=audit(1406932921.433:285): arch=i386 syscall=open success=no exit=EACCES a0=8ee9d30 a1=8000 a2=0 a3=bfd74e00 items=0 ppid=3269 pid=3271 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=11 comm=logrotate exe=/usr/sbin/logrotate subj=system_u:system_r:logrotate_t:s0-s0:c0.c1023 key=(null)

Hash: logrotate,logrotate_t,admin_home_t,file,read

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.6-200.fc20.i686+PAE
type:           libreport

Comment 1 Miroslav Grepl 2014-08-04 08:14:52 UTC
Where is "lfd" located?

Comment 2 Daniel Walsh 2014-08-04 18:46:50 UTC
Is it under /root, or did you mv it from there to somewhere else?

Comment 3 kayvan.lenovo 2014-08-08 17:37:28 UTC
CSF+LFD is :s a scurity software based on iptables.

http://configserver.com/cp/csf.html
http://www.configserver.com/free/csf/install.txt


// as unroot user:

[kayvan@fedora-root-pc ~]$ which lfd
/usr/bin/which: no lfd in (/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/usr/lib/alliance/bin:/usr/libexec/sdcc:/home/kayvan/bin:/opt/watcom/binl:/home/kayvan/.local/bin:/home/kayvan/bin:/usr/lib/alliance/bin:/usr/libexec/sdcc:/home/kayvan/bin:/opt/watcom/binl)

//as root:

[root@fedora-root-pc ~]# which lfd
/sbin/lfd

Comment 4 Daniel Walsh 2014-08-16 11:00:46 UTC
Well it looks like it placed a file in /root named lfd?

Comment 5 Fedora End Of Life 2015-05-29 12:32:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:54:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.